Skip to main content
GET
/
api
/
v1
/
contacts
/
groups
/
{id}
/
Get contact group
curl --request GET \
  --url https://api.rezora.io/api/v1/contacts/groups/{id}/ \
  --header 'Authorization: Bearer <token>'
{
  "address": "<string>",
  "contact_group_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "custom_fields": {},
  "email": "jsmith@example.com",
  "first_name": "<string>",
  "last_name": "<string>",
  "phone_number": "<string>",
  "phone_numbers": [
    {}
  ],
  "csv_headers": [
    "<string>"
  ],
  "data": "<unknown>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required

Response

200 - application/json

Supabase-shaped contact row for the call-details modal (denormalized from data JSON).

address
string | null
required
read-only
contact_group_id
string<uuid>
required
read-only
custom_fields
object
required
read-only
email
string<email> | null
required
read-only
first_name
string | null
required
read-only
last_name
string | null
required
read-only
phone_number
string
required
Maximum string length: 32
phone_numbers
object[] | null
required
read-only
csv_headers
string[]
required
read-only
data
any
status
enum<string>
  • active - Active
  • invalid - Invalid
  • do_not_call - Do Not Call
Available options:
active,
invalid,
do_not_call